Troubleshooting automatic Mac provisioning - Upgrading Xamarin.iOS

MigokMigok Member ✭✭
edited December 2018 in Xamarin.iOS

Hello,

I run Visual Studio on Windows machine, connected to a mac with Xcode
Both VS and XCode are on latest version (VS : 15.9 / XCode : 10.1)

There is no VS on the mac, i am using Automatic mac provisionning.

Since the last update, i have some errors, and its apparently caused by a missmatch version of Xamarin.iOS between PC and MAC.
(My error is : Can not resolve reference: /Library/Frameworks/Xamarin.iOS.framework/Versions/Current/lib/mono/Xamarin.iOS/Facades/System.Threading.Tasks.Extensions.dll)

So I checked the connection log to the MAC, and there is something weird :

Xamarin.Messaging.Ssh.SshCommands|Information|0|A valid Mono installation has been found at '/Library/Frameworks/Mono.framework/Versions/Current/bin/mono64'
Xamarin.Messaging.Integration.State.ServerStateContext|Warning|0|The required Mono version to install on the Mac couldn't be determined, so the Mono validation will not continue.
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Vérification de l'installation de Xamarin iOS...
Xamarin.Messaging.Integration.State.ServerStateContext|Warning|0|The required Xamarin.iOS version to install on the Mac couldn't be determined, so the Xamarin.iOS validation will not continue.

Any idea of whats going on ?

Thanks

Posts

  • MigokMigok Member ✭✭
    edited December 2018

    I used another PC with a lower VS version, to upgrade xamarin.ios on mac from 11.4 to 12.0.
    Then i was allowed to update from 12.0 to 12.2.

    So its working now, but why I wasnt able to upgrade from 11.4 to 12.2, idk...

Sign In or Register to comment.